package cn.com.qmth.examcloud.core.basic.api.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import cn.com.qmth.examcloud.core.basic.service.SystemPropertyService;
import cn.com.qmth.examcloud.web.support.ControllerSupport;
import io.swagger.annotations.ApiOperation;

/**
 * 系统配置
 *
 * @author WANGWEI
 * @date 2018年12月3日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
@Transactional
@RestController
@RequestMapping("${$rmp.ctr.basic}/systemProperty")
public class SystemPropertyController extends ControllerSupport {

	@Autowired
	SystemPropertyService systemPropertyService;

	@ApiOperation(value = "查询系统配置")
	@GetMapping("{key}")
	public Object get(@PathVariable String key) {
		Object object = systemPropertyService.get(key);
		return object;
	}

}
